---
sidebar_position: 11
description: Download file and other functions to work with Dropbox in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Dropbox]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Download file
 Downloads a file by the specified path or ID



`Function DownloadFile(Val Token, Val Path) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Token | --token | String | &#x2714; | Token |
  | Path | --path | String | &#x2714; | Path or ID of the file |

  
  Returns:  BinaryData - binary data of the file



```bsl title="1C:Enterprise/OneScript code example"
    Token = "sl.u. ...";
    Path  = "/New/pic.png";

    Result = OPI_Dropbox.DownloadFile(Token, Path);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint dropbox DownloadFile \
             --token "***" \
             --path "/New/pic.png"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint dropbox DownloadFile ^
             --token "***" ^
             --path "/New/pic.png"
        ```
    </TabItem>
</Tabs>


```json title="Result"
NOT JSON: FF D8 FF E1 54 C1 45 78 69 66 00 00 49 49 2A 00 08 00 00 00 0B 00 0E 01 02 00 20 00 00 00 92 00 00 00 0F 01 02 00 05 00 00 00 B2 00 00 00 10 01 02 00 07 00 00 00 B8 00 00 00 12 01 03 00 01 00…
```
